(function () {
    try {
        Object.defineProperty(window, 'mamp', {
            get: function () {
                return {
                    "UI": {
                        "setTitleText": (title) => window.JsInterface.setTitleText(title)
                    },
                    "systemAbility": {
                        "takeCamera": (callback) => {
                            window.takeCameraCallback = callback;
                            window.JsInterface.takeCamera();
                        },
                        "takePhoto":(callback) => {
                            window.takePhotoCallback = callback;
                            window.JsInterface.takePhoto();
                        }
                    },
                    "file": {
                        "uploadToServer": (server, filePaths, cb, config) => {
                            window.uploadToServerCallback = cb;
                            window.JsInterface.uploadToServer(server, filePaths[0], JSON.stringify(config.params))
                        }
                    }
                };
            },
            set: function (newValue) {
                //丢弃
            }
        })
    } catch (error) {
        console.log(error);
    }
})()